From 4afd94014357bbc52def1261db9f4dc7281105ff Mon Sep 17 00:00:00 2001
From: Qingmin Liu <qingmin.liu@broadcom.com>
Date: Fri, 22 Nov 2019 18:06:41 +0800
Subject: [PATCH 2/2] bnxt: fix "ndo_set_vf_vlan" warning

On Centos 8, use RH_KABI_EXTEND to choose whether use NEW_NDO_SET_VF_VLAN or not.
---
 main/Cumulus/drivers/linux/v3/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/main/Cumulus/drivers/linux/v3/Makefile b/main/Cumulus/drivers/linux/v3/Makefile
index 299ad9c45..8ba9c3a20 100644
--- a/main/Cumulus/drivers/linux/v3/Makefile
+++ b/main/Cumulus/drivers/linux/v3/Makefile
@@ -366,7 +366,7 @@ ifneq ($(shell grep -o "ndo_set_vf_spoofchk" $(LINUXSRC)/include/linux/netdevice
 endif
 
 ifneq ($(shell grep -A 1 "ndo_set_vf_vlan" $(LINUXSRC)/include/linux/netdevice.h | grep -o "proto"),)
-  ifeq ($(shell grep -o "net_device_ops_extended" $(LINUXSRC)/include/linux/netdevice.h),)
+  ifeq ($(shell grep -o "RH_KABI_EXTEND(struct net_device_ops_extended extended)" $(LINUXSRC)/include/linux/netdevice.h),)
     DISTRO_CFLAG += -DNEW_NDO_SET_VF_VLAN
   endif
 endif
-- 
2.21.0

